<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_ab3af949cef8cd611e" . "6e3bf6915cd03c" => base64_decode("ZmllbGQgdm" . "FsdWU="), "_e85897e307" . "9d1459adfe0" . "c771a8f09ea" => base64_decode("ZmllbGQg" . "bGFiZWw="));
class FieldNode extends Node
{
    const TYPE_LABEL = "@";
    const TYPE_VALUE = "\$";
    protected $name;
    protected $op;
    public function __construct($_6cdc8166e97f8f02b18a8c0f49844a7f, $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        $this->name = $_5c59c380aa5c5e5f18f039ad7757fe97;
        $this->op = $_6cdc8166e97f8f02b18a8c0f49844a7f;
    }
    
    
    
    
    public function Children() : array
    {
        return [$this->name];
    }
    public function Name() : string
    {
        if ($this->op === self::TYPE_LABEL) {
            return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_e85897e3079d145" . "9adfe0c771a8f09e" . "a"];
        } else {
            return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_ab3af949c" . "ef8cd611e6" . "e3bf6915cd" . "03c"];
        }
    }
    public function Type()
    {
        return $this->op;
    }
}